# Crow: crow::InMemoryStore Struct Reference

crow::InMemoryStore Struct Reference

InMemoryStore stores all entries in memory. More...

`#include <session.h>`

## Public Member Functions

void | load (session::CachedSession &cn)
void | save (session::CachedSession &cn)
bool | contains (const std::string &key)

## Public Attributes

std::unordered_map< std::string, std::unordered_map< std::string, session::multi_value > > | entries

## Detailed Description

InMemoryStore stores all entries in memory.

The documentation for this struct was generated from the following file:

- include/crow/middlewares/session.h